package com.ccwangluo.accelerator.utils.datareport

import com.ccwangluo.accelerator.utils.LoginUtils
import com.ccwangluo.accelerator.utils.SysUtils
import com.google.gson.JsonObject
import java.time.LocalDateTime

data class BaseData(
        var channel: Int = SysUtils.getChannel(),
        var client_ip: String = "127.0.0.1",
        var did: String? = SysUtils.getDeviceUUID(),
        var ds: String = LocalDateTime.now().toString(),
        var event: String = "",
        var ouid: String = if (LoginUtils.uid == null) "" else LoginUtils.uid!!,
        var platform: Int = 1,
        var role_id: String = "0",
        var server: Int = 0,
        var data: JsonObject? = null
)


